package asandatabasebrowser.action;

import java.awt.event.ActionEvent;

import net.sourceforge.swingx.SxAction;
import asandatabasebrowser.AsanDatabaseBrowser;
import asandatabasebrowser.Global;
import asandatabasebrowser.view.SqlLogView;

public class SqlLogViewAction extends SxAction {
	
	public SqlLogViewAction() {
		super("SQLログビューを表示/非表示", Global.logIcon);
		putValue(SHORT_DESCRIPTION, "SQLログビューを表示/非表示");
		putValue(LONG_DESCRIPTION, "SQLログビューを表示/非表示");
	}

	public void actionPerformed(ActionEvent e) {
		SqlLogView log = AsanDatabaseBrowser.theApp.logView;
		log.setVisible(! log.isVisible());
		AsanDatabaseBrowser.theApp.getTreeFrame().updateMainFrame();
	}
	public void updateStatus() {
	}
}
